Bug 144412

Summary: Update port: mail/tkrat2 (Use latest tcl/tk versions)
Product: Ports & Packages Reporter: sjroz <sjroz>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description sjroz 2010-03-02 05:20:02 UTC
	Updated port to use latest version of Tk and Tcl with
	the USE_TK and USE_TCL variables.

	Updated maintainer's email address.

Fix: 

-- 
Stephen J. Roznowski    (sjroz@verizon.net)--wixC32Hc9u8gWQg5hmCyXa5xO7pGAMe6TvSM5Jwwh8m9Vbg0
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tkrat2
#	tkrat2/files
#	tkrat2/files/CVS
#	tkrat2/files/CVS/Root
#	tkrat2/files/CVS/Repository
#	tkrat2/files/CVS/Entries
#	tkrat2/files/patch-ssl
#	tkrat2/files/ratatoskrc
#	tkrat2/CVS
#	tkrat2/CVS/Entries
#	tkrat2/CVS/Repository
#	tkrat2/CVS/Root
#	tkrat2/pkg-plist
#	tkrat2/pkg-descr
#	tkrat2/distinfo
#	tkrat2/Makefile
#
echo c - tkrat2
mkdir -p tkrat2 > /dev/null 2>&1
echo c - tkrat2/files
mkdir -p tkrat2/files > /dev/null 2>&1
echo c - tkrat2/files/CVS
mkdir -p tkrat2/files/CVS > /dev/null 2>&1
echo x - tkrat2/files/CVS/Root
sed 's/^X//' >tkrat2/files/CVS/Root << '5000ddf325ca877fed9bfab6b48e09cf'
X/ncvs/FreeBSD
5000ddf325ca877fed9bfab6b48e09cf
echo x - tkrat2/files/CVS/Repository
sed 's/^X//' >tkrat2/files/CVS/Repository << '4b7f8863e440cc5a11258097172b8b87'
Xports/mail/tkrat2/files
4b7f8863e440cc5a11258097172b8b87
echo x - tkrat2/files/CVS/Entries
sed 's/^X//' >tkrat2/files/CVS/Entries << '80c99d62c862d09badab75f6c3c0bb38'
X/patch-ssl/1.2/Fri Jun 10 07:49:05 2005//
X/ratatoskrc/1.1.1.1/Fri Nov 14 22:51:08 1997//
XD
80c99d62c862d09badab75f6c3c0bb38
echo x - tkrat2/files/patch-ssl
sed 's/^X//' >tkrat2/files/patch-ssl << '8dd1e656fc5a70bf3de4d26b6581c987'
X--- imap/src/osdep/unix/Makefile.orig	Thu Jun  9 18:46:59 2005
X+++ imap/src/osdep/unix/Makefile	Thu Jun  9 18:47:26 2005
X@@ -32,7 +32,7 @@
X SSLDIR=/usr/local/ssl
X SSLCERTS=$(SSLDIR)/certs
X SSLKEYS=$(SSLCERTS)
X-SSLINCLUDE=$(SSLDIR)/include
X+SSLINCLUDE=/usr/include/openssl
X SSLLIB=$(SSLDIR)/lib
X 
X SSLCRYPTO=-lcrypto
8dd1e656fc5a70bf3de4d26b6581c987
echo x - tkrat2/files/ratatoskrc
sed 's/^X//' >tkrat2/files/ratatoskrc << '44e88750eb897df85d14da5f32d877c2'
X# Minimum defaults or important defaults...
X#
X# See the file /usr/local/share/doc/tkrat/CONFIGURATION for a more
X# detailed explanation of these.
X#
X
X# Which domain we should pretend we are from
Xset option(masquerade_as) {}
X
X# Which domain we are in
Xset option(domain) {}
X
X# Should we sent even though we have a bad hostname?
Xset option(force_send) 0
X
X# Command to get default folder
Xset option(default_folder) "INBOX file {} /var/mail/$env(USER)"
X
X# Default sending program
Xset option(sendprog) /usr/sbin/sendmail
X
X# Can the sending program handle eightbit data
Xset option(sendprog_8bit) true
X
X# Use the sending program, or use smtp
Xset option(sendprot) prog
44e88750eb897df85d14da5f32d877c2
echo c - tkrat2/CVS
mkdir -p tkrat2/CVS > /dev/null 2>&1
echo x - tkrat2/CVS/Entries
sed 's/^X//' >tkrat2/CVS/Entries << '999c121f8212e84ff58ac9e9e5747060'
X/Makefile/1.58/Mon Dec 21 12:59:15 2009//
X/distinfo/1.19/Fri Nov 25 15:31:00 2005//
X/pkg-descr/1.2/Tue Jun 26 23:13:33 2001//
X/pkg-plist/1.10/Fri Dec 12 16:06:37 2003//
XD/files////
999c121f8212e84ff58ac9e9e5747060
echo x - tkrat2/CVS/Repository
sed 's/^X//' >tkrat2/CVS/Repository << '66b7ed69074c0df742a34dcaca5fe7b5'
Xports/mail/tkrat2
66b7ed69074c0df742a34dcaca5fe7b5
echo x - tkrat2/CVS/Root
sed 's/^X//' >tkrat2/CVS/Root << '7427c49fd6428c0d20a2b39adf6ffaa9'
X/ncvs/FreeBSD
7427c49fd6428c0d20a2b39adf6ffaa9
echo x - tkrat2/pkg-plist
sed 's/^X//' >tkrat2/pkg-plist << '152ad1a18b83ea76f2408fdde73d40d7'
Xbin/tkrat
Xlib/ratatosk/ratatoskrc
Xlib/tkrat2.1/blt_busy1.0.so
Xlib/tkrat2.1/pkgIndex.tcl
Xlib/tkrat2.1/ratatosk2.1.so
X%%PORTDOCS%%%%DOCSDIR%%/CONFIGURATION
X%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%DOCSDIR%%/interface
X%%PORTDOCS%%%%DOCSDIR%%/userproc.example
X%%PORTDOCS%%%%DOCSDIR%%/userprocs
Xshare/tkrat2.1/alias.tcl
Xshare/tkrat2.1/client.tcl
Xshare/tkrat2.1/compose.tcl
Xshare/tkrat2.1/convert.tcl
Xshare/tkrat2.1/dbase.tcl
Xshare/tkrat2.1/dialog.tcl
Xshare/tkrat2.1/dsn.tcl
Xshare/tkrat2.1/exp.tcl
Xshare/tkrat2.1/folder.tcl
Xshare/tkrat2.1/font.tcl
Xshare/tkrat2.1/help.tcl
Xshare/tkrat2.1/html.tcl
Xshare/tkrat2.1/info.tcl
Xshare/tkrat2.1/keydef.tcl
Xshare/tkrat2.1/languages.tcl
Xshare/tkrat2.1/mime.tcl
Xshare/tkrat2.1/options.tcl
Xshare/tkrat2.1/pgp.tcl
Xshare/tkrat2.1/pkgIndex.tcl
Xshare/tkrat2.1/preferences.tcl
Xshare/tkrat2.1/print.tcl
Xshare/tkrat2.1/show.tcl
Xshare/tkrat2.1/source.tcl
Xshare/tkrat2.1/start.tcl
Xshare/tkrat2.1/tclIndex
Xshare/tkrat2.1/text_balText_de.tcl
Xshare/tkrat2.1/text_balText_en.tcl
Xshare/tkrat2.1/text_balText_fr.tcl
Xshare/tkrat2.1/text_balText_it.tcl
Xshare/tkrat2.1/text_balText_pl.tcl
Xshare/tkrat2.1/text_balText_pt.tcl
Xshare/tkrat2.1/text_balText_sr.tcl
Xshare/tkrat2.1/text_balText_sv.tcl
Xshare/tkrat2.1/text_changes_de.tcl
Xshare/tkrat2.1/text_changes_en.tcl
Xshare/tkrat2.1/text_changes_fr.tcl
Xshare/tkrat2.1/text_changes_it.tcl
Xshare/tkrat2.1/text_changes_pl.tcl
Xshare/tkrat2.1/text_changes_pt.tcl
Xshare/tkrat2.1/text_changes_sr.tcl
Xshare/tkrat2.1/text_changes_sv.tcl
Xshare/tkrat2.1/text_help_de.tcl
Xshare/tkrat2.1/text_help_en.tcl
Xshare/tkrat2.1/text_help_fr.tcl
Xshare/tkrat2.1/text_help_it.tcl
Xshare/tkrat2.1/text_help_pl.tcl
Xshare/tkrat2.1/text_help_pt.tcl
Xshare/tkrat2.1/text_help_sr.tcl
Xshare/tkrat2.1/text_help_sv.tcl
Xshare/tkrat2.1/text_t_de.tcl
Xshare/tkrat2.1/text_t_en.tcl
Xshare/tkrat2.1/text_t_fr.tcl
Xshare/tkrat2.1/text_t_it.tcl
Xshare/tkrat2.1/text_t_pl.tcl
Xshare/tkrat2.1/text_t_pt.tcl
Xshare/tkrat2.1/text_t_sr.tcl
Xshare/tkrat2.1/text_t_sv.tcl
Xshare/tkrat2.1/tkrat.xbm
Xshare/tkrat2.1/tkrat.xpm
Xshare/tkrat2.1/tkrat_small.xbm
Xshare/tkrat2.1/tkrat_smallmask.xbm
Xshare/tkrat2.1/tkratmask.xbm
Xshare/tkrat2.1/util/pkgIndex.tcl
Xshare/tkrat2.1/util/rat_balloon.tcl
Xshare/tkrat2.1/util/rat_ed.tcl
Xshare/tkrat2.1/util/rat_edit.tcl
Xshare/tkrat2.1/util/rat_enriched.tcl
Xshare/tkrat2.1/util/rat_fbox.tcl
Xshare/tkrat2.1/util/rat_ispell.tcl
Xshare/tkrat2.1/util/rat_list.tcl
Xshare/tkrat2.1/util/rat_textlist.tcl
Xshare/tkrat2.1/util/rat_tree.tcl
Xshare/tkrat2.1/vfolder.tcl
Xshare/tkrat2.1/vfolderdef.tcl
Xshare/tkrat2.1/watcher.tcl
Xshare/tkrat2.1/winctl.tcl
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X@dirrm share/tkrat2.1/util
X@dirrm share/tkrat2.1
X@dirrm lib/ratatosk
X@dirrm lib/tkrat2.1
152ad1a18b83ea76f2408fdde73d40d7
echo x - tkrat2/pkg-descr
sed 's/^X//' >tkrat2/pkg-descr << '2d9d299d9cb5c08518216935e4e187d3'
XExcerpted from the BLURB file...
X
XTkRat is a graphical Mail User Agent (MUA) which handles MIME, POP3
Xand IMAP4.1.  It is mainly written in C, but the user interface is 
Xdone in Tcl/Tk.  The following is a non-exhaustive list of the 
Xcapabilities:
X
X    * Multilingual interface (English, Swedish and Italian included)
X    * MIME support: text/plain, image/gif and message/rfc822
X      including multipart/mixed and multipart/alternate, 
X      Quoted-printable and Base64 encoding.
X    * Supports MIME in headers
X    * Composing: (tk's text widget plus many extensions) or an
X      external editor of your choice.
X    * Message database
X    * Virtual folders: mbox, mh, IMAP or POP
X    * Message hold: suspend the composing, continued later
X    * Watcher: When the program is iconified it checks the mailbox
X    * Uses sendmail OR direct SMTP or other MA
X    * Supports Delivery Status Notifications - DSN ESMTP sendmail-8.7
X    * Supports PGP/MIME and "old-style PGP message receipt"
X
XWWW: http://www.tkrat.org/
2d9d299d9cb5c08518216935e4e187d3
echo x - tkrat2/distinfo
sed 's/^X//' >tkrat2/distinfo << '77e1a99fac23804794f6dc9d9988b110'
XMD5 (tkrat-2.1.5.tar.gz) = 17b1e8d368cb10df3085c5f87c0b03a6
XSHA256 (tkrat-2.1.5.tar.gz) = 7cc3cbe934a3be4ae760675fc3fe0a3bfb99f8c38edcea4638ec5708161dd084
XSIZE (tkrat-2.1.5.tar.gz) = 2359287
77e1a99fac23804794f6dc9d9988b110
echo x - tkrat2/Makefile
sed 's/^X//' >tkrat2/Makefile << '28dbf7fe1a38539314994b5911500a93'
X# New ports collection makefile for:	tkrat2
X# Date created:		9 November 1999
X# Whom:			Stephen J. Roznowski <sjr@home.net>
X#
X# $FreeBSD: ports/mail/tkrat2/Makefile,v 1.58 2009/12/21 12:59:15 erwin Exp $
X#
X
XPORTNAME=	tkrat
XPORTVERSION=	2.1.5
XPORTREVISION=	4
XCATEGORIES=	mail tk
XMASTER_SITES=	http://tkrat.org/downloads/stable/ \
X		ftp://ftp.tkrat.org/pub/tkrat/
X
XMAINTAINER=	sjroz@verizon.net
XCOMMENT=	A mail user agent for X with a Tcl/Tk user interface
X
XLIB_DEPENDS=	c-client4.9:${PORTSDIR}/mail/cclient
X
XUSE_TCL=	85
XUSE_TK=		85
X
XGNU_CONFIGURE=	yes
X
XDOCFILES=	CONFIGURATION COPYRIGHT README doc/interface doc/userprocs \
X		doc/userproc.example
X
XMAN1=		tkrat.1
X
X.include <bsd.port.pre.mk>
X
X.if ${ARCH} == "sparc64"
XBROKEN=		Build fails on sparc64
X.elif ${OSVERSION} >= 900000
XBROKEN=		does not build
X.endif
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${ECHO_MSG} "===>  Copying documents to ${PREFIX}/${PORTDOCDIR}"
X	@${MKDIR} ${PREFIX}/share/doc/tkrat
X.for f in ${DOCFILES}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.else
X	@${ECHO_MSG} "===>  Not copying available documents"
X.endif
X	@${MKDIR} ${PREFIX}/lib/ratatosk
X	${INSTALL_DATA} ${FILESDIR}/ratatoskrc ${PREFIX}/lib/ratatosk
X
X.include <bsd.port.post.mk>
28dbf7fe1a38539314994b5911500a93
exit
Comment 1 Edwin Groothuis freebsd_committer 2010-03-02 05:20:13 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-03-02 05:20:15 UTC
Maintainer of mail/tkrat2,

Please note that PR ports/144412 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144412

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-03-02 05:20:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Stefan Walter freebsd_committer 2010-05-17 15:47:43 UTC
Hi Stephen,

please note that updates to existing ports should be submitted as patches
in unified diff format. See [1] for more info on this. Can you send a
followup with a patch against the current version of the port?

Regards,
Stefan

[1]: http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html
Comment 5 Stefan Walter freebsd_committer 2010-06-28 12:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this.
Comment 6 Stefan Walter freebsd_committer 2010-06-29 07:16:41 UTC
Hi Stephen,

during my test build, configure failed with an error (see below). Could
you please investigate and send an updated patch? (You probably just need
to re-add CONFIGURE_ARGS with values taken from the variables defined in
/usr/ports/Mk/bsd.tcl.mk.)

Regards,
Stefan

###
checking for tclsh8.3... no
checking for tclsh8.2... no
checking for tclsh... no
checking for tclsh8.4... no
configure: error: 'Can not find tcl/tk 8.2 or later in path'
===>  Script "configure" failed unexpectedly.
Please report the problem to sjroz@verizon.net [maintainer] and attach the
"/work/a/ports/mail/tkrat2/work/tkrat-2.1.5/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1
###
Comment 7 Stefan Walter freebsd_committer 2010-08-02 17:44:23 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 8 Philip M. Gollucci freebsd_committer 2010-09-17 00:19:49 UTC
State Changed
From-To: feedback->open

submitter feedback timeout: (sjroz@verizon.net ; 45 days)
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2010-09-21 08:08:18 UTC
Class Changed
From-To: change-request->maintainer-update

This is actually a maintainer-update from a new address.
Comment 10 dfilter service freebsd_committer 2010-09-21 08:12:06 UTC
linimon     2010-09-21 07:12:01 UTC

  FreeBSD ports repository

  Modified files:
    mail/tkrat2          Makefile 
    mail/xmail           Makefile 
    misc/display         Makefile 
    sysutils/copytape    Makefile 
  Log:
  Update maintainer's email address.  (Old one now bounces.)
  
  PR:             ports/144412 (partial)
  
  Revision  Changes    Path
  1.59      +1 -1      ports/mail/tkrat2/Makefile
  1.20      +1 -1      ports/mail/xmail/Makefile
  1.22      +1 -1      ports/misc/display/Makefile
  1.16      +1 -1      ports/sysutils/copytape/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Stefan Walter freebsd_committer 2010-11-13 14:20:47 UTC
State Changed
From-To: open->closed

Submitter/maintainer timeout (~6 months).